/***********************************************************************

 SV1Codec miscellaneous routines
 (header file)

 This file is a part of SV1Codec.
 SV1Codec is Copyright (C) 2002 by Marcin Grzegorczyk.
 See sv1codec.c for details.

 The code in this file is explicitly placed in the public domain.
 Use, abuse and redistribute freely.

***********************************************************************/

#ifndef SV1C_MISC_H
#define SV1C_MISC_H

#include "sv1codec.h"

PUBLIC_DECLARATION const char *const g_path_separators;

#define MAX_StrFix_ESCAPE_CHARS 5  /* maximum number of characters in an escape sequence */

PUBLIC_DECLARATION void StrFix(unsigned char *dest, const unsigned char *src, const struct sOpParameters *const opp);
PUBLIC_DECLARATION void StrNUnfix(unsigned char *dest, const unsigned char *src, size_t n, const struct sOpParameters *const opp);
PUBLIC_DECLARATION Bool StrnEQ(const char *s1, const char *s2, size_t maxlen);
#define StrEQ(s1, s2) StrnEQ(s1, s2, SIZE_MAX)
PUBLIC_DECLARATION uint16_t GetLEInt16(const void *ptr);
PUBLIC_DECLARATION uint32_t GetLEInt32(const void *ptr);
PUBLIC_DECLARATION void SetLEInt16(void *ptr, uint16_t w);
PUBLIC_DECLARATION void SetLEInt32(void *ptr, uint32_t l);
PUBLIC_DECLARATION char *StripFilePath(const char *path);


#endif /* SV1C_MISC_H */

